// pages/message.js

import { useRouter } from 'next/router';
import Layout from "../components/layout";

export default function MessagePage() {
    const router = useRouter();
    const messageStyles = {
        error: "text-red-500",
        warning: "text-yellow-500",
        info: "text-blue-500",
    };
    let { message, type = messageStyles.info, caption } = router.query;


    if (router.query.error) {
        switch (router.query.error) {
            case 'UserNotFound':
                message = `Твоят имейл '${router.query.email}' не е регистриран в системата. Моля свържи се с нас за да те регистрираме ако искаш да ползваш този имейл.`;
                caption = 'Грешка';
                type = messageStyles.error;
                break;
            default:
                message = 'Възникна грешка.';
                caption = 'Грешка';
                type = messageStyles.error;
                break;
        }
    }

    return (
        <Layout>
            <div className="flex items-center justify-center min-h-screen">
                <div className="text-center">
                    <h1 className={`text-4xl font-bold mb-4 ${messageStyles[type]}`}>{caption || 'Информация'}</h1>
                    <p className="text-xl mb-6">
                        {message || 'Така ще получавате различни съобщения.'}
                    </p>
                </div>
            </div>
        </Layout>
    );
}
